Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CIAO::Swapping_Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT > Class Template Reference

`#include <Swapping_Servant_Home_Impl_T.h>`

Inheritance diagram for CIAO::Swapping_Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >:

[legend]
Collaboration diagram for CIAO::Swapping_Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >:

[legend]
List of all members.

## Public Member Functions
| Swapping_Home_Servant_Impl (EXEC *exe, Session_Container *c, const char *ins_name, const char *obj_id, const char *repo_id)
virtual | ~Swapping_Home_Servant_Impl (void)
virtual void | remove_component (Components::CCMObject_ptr comp ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Components::RemoveFailure)
virtual ::Components::CCMObject_ptr | create_component (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Components::CreateFailure)
virtual COMP * | create (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Components::CreateFailure)
virtual void | update_component_map (PortableServer::ObjectId &oid)
## Protected Types
typedef ACE_Hash_Map_Manager_Ex< PortableServer::ObjectId, Dynamic_Component_Servant_Base *, TAO_ObjectId_Hash, ACE_Equal_To< PortableServer::ObjectId >, ACE_SYNCH_MUTEX > | DYNAMIC_SERVANT_MAP
typedef DYNAMIC_SERVANT_MAP::iterator | DYNAMIC_SERVANT_MAP_ITERATOR
## Protected Member Functions
COMP * | _ciao_activate_component (::Components::EnterpriseComponent_ptr ec ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
void | _ciao_passivate_component (COMP *comp ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
## Protected Attributes
EXEC_VAR | executor_
ACE_Hash_Map_Manager_Ex< PortableServer::ObjectId, COMP_SVNT *, TAO_ObjectId_Hash, ACE_Equal_To< PortableServer::ObjectId >, ACE_SYNCH_MUTEX > | component_map_
DYNAMIC_SERVANT_MAP | dynamic_servant_map_
const char * | ins_name_
const char * | obj_id_
const char * | repo_id_

### template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
class CIAO::Swapping_Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >

## Member Typedef Documentation

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
typedef ACE_Hash_Map_Manager_Ex<PortableServer::ObjectId, Dynamic_Component_Servant_Base *, TAO_ObjectId_Hash, ACE_Equal_To<PortableServer::ObjectId>, ACE_SYNCH_MUTEX> CIAO::Swapping_Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::DYNAMIC_SERVANT_MAP`[protected]`

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
typedef DYNAMIC_SERVANT_MAP::iterator CIAO::Swapping_Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::DYNAMIC_SERVANT_MAP_ITERATOR`[protected]`

## Constructor & Destructor Documentation

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
CIAO::Swapping_Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::Swapping_Home_Servant_Impl | ( | EXEC * | exe,
|  | Session_Container * | c,
|  | const char * | ins_name,
|  | const char * | obj_id,
|  | const char * | repo_id
| ) |

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
CIAO::Swapping_Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::~Swapping_Home_Servant_Impl | ( | void |  | ) | `[virtual]`

## Member Function Documentation

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
COMP * CIAO::Swapping_Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::_ciao_activate_component | ( | ::Components::EnterpriseComponent_ptr ec | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[protected]`

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
void CIAO::Swapping_Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::_ciao_passivate_component | ( | COMP *comp | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[protected]`

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
COMP * CIAO::Swapping_Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::create | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException, Components::CreateFailure)`[virtual]`

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
Components::CCMObject_ptr CIAO::Swapping_Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::create_component | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException, Components::CreateFailure)

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
virtual void CIAO::Swapping_Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::remove_component | ( | Components::CCMObject_ptr comp | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, Components::RemoveFailure)`[virtual]`

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
void CIAO::Swapping_Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::update_component_map | ( | PortableServer::ObjectId & | oid | ) | `[virtual]`

## Member Data Documentation

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
ACE_Hash_Map_Manager_Ex<PortableServer::ObjectId, COMP_SVNT *, TAO_ObjectId_Hash, ACE_Equal_To<PortableServer::ObjectId>, ACE_SYNCH_MUTEX> CIAO::Swapping_Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::component_map_`[protected]`

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
DYNAMIC_SERVANT_MAP CIAO::Swapping_Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::dynamic_servant_map_`[protected]`

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
EXEC_VAR CIAO::Swapping_Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::executor_`[protected]`

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
const char* CIAO::Swapping_Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::ins_name_`[protected]`

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
const char* CIAO::Swapping_Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::obj_id_`[protected]`

template<typename BASE_SKEL, typename EXEC, typename EXEC_VAR, typename COMP, typename COMP_VAR, typename COMP_EXEC, typename COMP_EXEC_VAR, typename COMP_SVNT>
const char* CIAO::Swapping_Home_Servant_Impl< BASE_SKEL, EXEC, EXEC_VAR, COMP, COMP_VAR, COMP_EXEC, COMP_EXEC_VAR, COMP_SVNT >::repo_id_`[protected]`

The documentation for this class was generated from the following files:

- Swapping_Servant_Home_Impl_T.h
- Swapping_Servant_Home_Impl_T.cpp